/* Problem URL: https://codeforces.com/gym/104785/problem/N */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (size_t i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (size_t i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;

    map<string, string> var;
    var["0.75"] = "standard";
    var["15"] = "nebuchadnezzar";
    var["12"] = "balthazar";

    string now = "a";

    while (n--) {
        string a;
        cin >> a;

        size_t i = 0;
        string b;
        while (a[i] != 'L' && a[i] == '0') {
            i++;
        }

        if (a[i] == 'L') {
            b = "0";
        } else {
            while (a[i] != '.' && a[i] != 'L') {
                b.push_back(a[i]);
                i++;
            }

            if (a[i] != 'L') {
                i++;
                string tmp;
                while (a[i] != 'L') {
                    while (a[i] == '0') {
                        tmp.push_back(a[i]);
                        i++;
                    }

                    if (a[i] != 'L') {
                        b += tmp;
                        b += a[i];
                        i++;
                    }
                }
            }
        }

        auto itr = var.find(b);
        if (itr == var.end()) {
            var[b] = now;
            now += 'a';
        }

        cout << var[b] << '\n';
    }
}
